%global momorel 1
Name:           caribou
Version: 0.4.21
Release: %{momorel}m%{?dist}
Summary:        A simplified in-place on-screen keyboard
License:        LGPLv2+
Group:          User Interface/Desktops
URL:            http://live.gnome.org/Caribou
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.xz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  pygobject3-devel
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  clutter-devel
BuildRequires:  vala-devel
BuildRequires:  libXtst-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libgee-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  at-spi2-core-devel

Requires:       python-%{name} = %{version}-%{release}
Requires:       gobject-introspection
Requires:       caribou-gtk2-module
Requires:       caribou-gtk3-module

#Following is needed as package moved from noarch to arch
Obsoletes:      caribou < 0.4.1-3
# Obsolete retired 'gok' to make sure it gets removed with distro upgrade
Obsoletes:      gok < 2.30.1-6

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# Obsolete retired 'gok' to make sure it gets removed with distro upgrade
Obsoletes:      gok-devel < 2.30.1-6

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package     -n python-caribou
Summary:        Keyboard UI for %{name}
Requires:       pygobject3
Requires:       pyatspi
Requires:       %{name} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3
BuildArch:      noarch

%description  -n python-caribou
This package contains caribou python GUI

%package        gtk2-module
Summary:        Gtk2 module for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    gtk2-module
This package contains caribou module for gtk2 applications.

%package        gtk3-module
Summary:        Gtk3 module for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    gtk3-module
This package contains caribou module for gtk3 applications.

%package        antler
Summary:        Keyboard implementation for %{name}
Requires:       python-%{name} = %{version}-%{release}
Obsoletes:      caribou < 0.4.1-3

%description    antler
This package contains caribou keyboard implementation for
non-gnome-shell sessions.

%prep
%setup -q

%build
%configure --disable-static
make V=1 %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop || :
desktop-file-validate %{buildroot}%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop || :

%find_lang caribou

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun antler
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans antler
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f caribou.lang
%doc NEWS COPYING README
%{_bindir}/caribou-preferences
%{_datadir}/caribou
%{_libdir}/girepository-1.0/Caribou-1.0.typelib
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/dbus-1/services/org.gnome.Caribou.Daemon.service
%{_datadir}/glib-2.0/schemas/org.gnome.caribou.gschema.xml
%{_libdir}/libcaribou.so.0*
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/caribou-gtk-module.desktop
%{_libexecdir}/caribou

%files -n python-caribou
%{python_sitelib}/caribou

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/caribou-1.0.pc
%{_datadir}/gir-1.0/Caribou-1.0.gir
%{_datadir}/vala

%files gtk2-module
%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so

%files gtk3-module
%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so

%files antler
%{_datadir}/antler
%{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
%{_libexecdir}/antler-keyboard
%{_datadir}/glib-2.0/schemas/org.gnome.antler.gschema.xml


%changelog
* Sun Jan 29 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.21-1m)
- update to 0.4.21

* Wed Nov 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.16-1m)
- update to 0.4.16

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.15-2m)
- update

* Sun Jan 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.13-1m)
- update to 0.4.13

* Sat Aug 31 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.12-1m)
- update to 0.4.12

* Fri Jun 28 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.11-1m)
- update to 0.4.11

* Mon Oct 22 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.4-1m)
- update to 0.4.4

* Fri Aug 24 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Wed Oct 19 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Wed Sep 28 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Tue Sep 20 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.92-1m)
- update to 0.3.92

* Fri Sep 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.9-4m)
- fix BTS:394

* Wed Sep 14 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.9-3m)
- add BuildRequires: vala-devel >= 0.13.4

* Tue Sep 13 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (0.3.91-2m)
- fix BuildRequires

* Sat Sep 10 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.91-1m)
- update to 0.3.91

* Mon Aug  1 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.00-2m)
- add BuildRequires

* Thu Jun 30 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.00-1m)
- version down to 0.2.00
- delete devel package

* Mon Jun 27 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-1m)
- update to 0.3.2
- add devel package

* Tue Apr 26 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.2-5m)
- rebuild for python-2.7

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.2-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.2-3m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.2-2m)
- full rebuild for mo7 release

* Sat Jul 24 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.2-1m)
- import from Fedora

* Thu Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
